<?php

    @session_start();
    if (!isset($_SESSION["admin"]["id"])) {
        echo "<script>location.href='index.php';</script>";
    }

    include "../config/conf.php";
    include "../config/imagem.php";

    if ($_POST) {

    	$id = $_POST["id"];
    	$tabela = trim($_POST["tabela"]);

    	$c = count($_FILES["fotos"]["name"]);
		$i = 0;
		$msg = "";
		while ($i < $c) {
			if (!empty($_FILES["fotos"]["name"][$i])) {

				$size=$_FILES["fotos"]['size'][$i];

				if ($_FILES["fotos"]["type"][$i] != "image/jpeg") {

					echo "<script>alert('A imagem ".$_FILES["fotos"]["name"][$i]." não é um arquivo JPG válido!');</script>";
					exit;

				} else {
					
					if (copy($_FILES["fotos"]["tmp_name"][$i],"../".$pastaFotos.$_FILES["fotos"]["name"][$i])) {

						$nome = time()+$i;

						LoadImg("../".$pastaFotos.$_FILES["fotos"]['name'][$i],$nome,"../".$pastaFotos);

						$id = trim($_POST["id"]);

						$sql = "insert into foto (id,foto,".$tabela."_id)
						values(NULL,'$nome',$id);";
						$consulta = $db->prepare($sql);

						if (!$consulta->execute()) {
							$msg = "Erro ao salvar ".$_FILES["fotos"]['name'][$i];
						} 

					} else {
						$msg = "Erro ao copiar ".$_FILES["fotos"]['name'][$i];
					}

				}

			}
			$i++;

		}
		if (empty($msg)) {
			echo "<script>alert('Arquivos enviados com sucesso');top.location.href='../cadastro/$tabela/$id';</script>";
		} else {
			echo "<script>alert('$msg');</script>";
		}

    }
    else {
    	echo "<script>alert('Erro ao executar');</script>";
    }